<?php

namespace App\Enum;

enum SignalType: string
{
    case DEMO = 'demo';
    case LIVE = 'live';

    public function label(): string
    {
        return match ($this) {
            self::DEMO => 'Demo',
            self::LIVE => 'Live',
        };
    }
}
